Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentManagerView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentManagerView.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentManagerView.cs	(revision 6725)
@@ -68,5 +68,5 @@
         hiveExperimentListView.Content = null;
       } else {
-        hiveExperimentListView.Content = Content.HiveExperiments;
+        hiveExperimentListView.Content = Content.Jobs;
         if (Content != null)
           Content.RefreshAsync(new Action<Exception>((Exception ex) => ErrorHandling.ShowErrorDialog(this, "Refresh failed.", ex)));
@@ -93,5 +93,5 @@
         Invoke(new EventHandler(Content_Refreshed), sender, e);
       } else {
-        hiveExperimentListView.Content = Content.HiveExperiments;
+        hiveExperimentListView.Content = Content.Jobs;
         refreshButton.Enabled = true;
         hiveExperimentListView.Enabled = true;
@@ -106,6 +106,6 @@
     protected override void OnClosing(FormClosingEventArgs e) {
       base.OnClosing(e);
-      if (Content != null && Content.HiveExperiments != null) {
-        foreach (var exp in Content.HiveExperiments.OfType<RefreshableHiveExperiment>()) {
+      if (Content != null && Content.Jobs != null) {
+        foreach (var exp in Content.Jobs.OfType<RefreshableJob>()) {
           if (exp.RefreshAutomatically) {
             exp.RefreshAutomatically = false; // stop result polling
@@ -115,5 +115,5 @@
     }
 
-    private void HiveExperiments_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<RefreshableHiveExperiment> e) {
+    private void HiveExperiments_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<RefreshableJob> e) {
       foreach (var item in e.Items) {
         HiveClient.Delete(item);
@@ -122,5 +122,5 @@
 
     private void Content_HiveExperimentsChanged(object sender, EventArgs e) {
-      Content.HiveExperiments.ItemsRemoved += new CollectionItemsChangedEventHandler<RefreshableHiveExperiment>(HiveExperiments_ItemsRemoved);
+      Content.Jobs.ItemsRemoved += new CollectionItemsChangedEventHandler<RefreshableJob>(HiveExperiments_ItemsRemoved);
     }
   }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentListView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentListView.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentListView.cs	(revision 6725)
@@ -28,6 +28,6 @@
 namespace HeuristicLab.Clients.Hive.ExperimentManager.Views {
   [View("HiveExperimentList View")]
-  [Content(typeof(ItemCollection<RefreshableHiveExperiment>), false)]
-  public partial class RefreshableHiveExperimentListView : ItemCollectionView<RefreshableHiveExperiment> {
+  [Content(typeof(ItemCollection<RefreshableJob>), false)]
+  public partial class RefreshableHiveExperimentListView : ItemCollectionView<RefreshableJob> {
 
     public RefreshableHiveExperimentListView() {
@@ -43,6 +43,6 @@
     }
 
-    protected override RefreshableHiveExperiment CreateItem() {
-      return new RefreshableHiveExperiment() { IsAllowedPrivileged = HiveClient.Instance.IsAllowedPrivileged };
+    protected override RefreshableJob CreateItem() {
+      return new RefreshableJob() { IsAllowedPrivileged = HiveClient.Instance.IsAllowedPrivileged };
     }
 
@@ -54,15 +54,15 @@
     }
 
-    protected override void Content_ItemsAdded(object sender, Collections.CollectionItemsChangedEventArgs<RefreshableHiveExperiment> e) {
+    protected override void Content_ItemsAdded(object sender, Collections.CollectionItemsChangedEventArgs<RefreshableJob> e) {
       base.Content_ItemsAdded(sender, e);
 
     }
 
-    protected override ListViewItem CreateListViewItem(RefreshableHiveExperiment item) {
+    protected override ListViewItem CreateListViewItem(RefreshableJob item) {
       ListViewItem listViewItem = base.CreateListViewItem(item);
       listViewItem.SubItems.Clear();
-      listViewItem.SubItems.Insert(0, new ListViewItem.ListViewSubItem(listViewItem, item.HiveExperiment.DateCreated.ToString("dd.MM.yyyy HH:mm")));
-      listViewItem.SubItems.Insert(1, new ListViewItem.ListViewSubItem(listViewItem, item.HiveExperiment.Name));
-      listViewItem.Group = GetListViewGroup(item.HiveExperiment.OwnerUsername);
+      listViewItem.SubItems.Insert(0, new ListViewItem.ListViewSubItem(listViewItem, item.Job.DateCreated.ToString("dd.MM.yyyy HH:mm")));
+      listViewItem.SubItems.Insert(1, new ListViewItem.ListViewSubItem(listViewItem, item.Job.Name));
+      listViewItem.Group = GetListViewGroup(item.Job.OwnerUsername);
       return listViewItem;
     }
@@ -70,8 +70,8 @@
     protected override void UpdateListViewItemText(ListViewItem listViewItem) {
       if (listViewItem == null) throw new ArgumentNullException();
-      var item = listViewItem.Tag as RefreshableHiveExperiment;
-      listViewItem.SubItems[0].Text = item == null ? "null" : item.HiveExperiment.DateCreated.ToString("dd.MM.yyyy HH:mm");
-      listViewItem.SubItems[1].Text = item == null ? "null" : item.HiveExperiment.Name;
-      listViewItem.Group = GetListViewGroup(item.HiveExperiment.OwnerUsername);
+      var item = listViewItem.Tag as RefreshableJob;
+      listViewItem.SubItems[0].Text = item == null ? "null" : item.Job.DateCreated.ToString("dd.MM.yyyy HH:mm");
+      listViewItem.SubItems[1].Text = item == null ? "null" : item.Job.Name;
+      listViewItem.Group = GetListViewGroup(item.Job.OwnerUsername);
       listViewItem.ToolTipText = item == null ? string.Empty : item.ItemName + ": " + item.ItemDescription;
     }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.Designer.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.Designer.cs	(revision 6725)
@@ -339,5 +339,5 @@
       this.isPrivilegedCheckBox.TabIndex = 26;
       this.isPrivilegedCheckBox.Text = "IsPrivileged";
-      this.toolTip.SetToolTip(this.isPrivilegedCheckBox, "If checked, the job will be executed in a privileged sandbox on the slave.");
+      this.toolTip.SetToolTip(this.isPrivilegedCheckBox, "If checked, the task will be executed in a privileged sandbox on the slave.");
       this.isPrivilegedCheckBox.UseVisualStyleBackColor = true;
       this.isPrivilegedCheckBox.Validated += new System.EventHandler(this.isPrivilegedCheckBox_Validated);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.cs	(revision 6725)
@@ -39,10 +39,10 @@
   /// </summary>
   [View("Hive Experiment View")]
-  [Content(typeof(RefreshableHiveExperiment), true)]
+  [Content(typeof(RefreshableJob), true)]
   public sealed partial class RefreshableHiveExperimentView : ItemView {
     private ProgressView progressView;
 
-    public new RefreshableHiveExperiment Content {
-      get { return (RefreshableHiveExperiment)base.Content; }
+    public new RefreshableJob Content {
+      get { return (RefreshableJob)base.Content; }
       set { base.Content = value; }
     }
@@ -58,5 +58,5 @@
       base.RegisterContentEvents();
       Content.RefreshAutomaticallyChanged += new EventHandler(Content_RefreshAutomaticallyChanged);
-      Content.HiveExperimentChanged += new EventHandler(Content_HiveExperimentChanged);
+      Content.JobChanged += new EventHandler(Content_HiveExperimentChanged);
       Content.IsControllableChanged += new EventHandler(Content_IsControllableChanged);
       Content.JobStatisticsChanged += new EventHandler(Content_JobStatisticsChanged);
@@ -72,5 +72,5 @@
     protected override void DeregisterContentEvents() {
       Content.RefreshAutomaticallyChanged -= new EventHandler(Content_RefreshAutomaticallyChanged);
-      Content.HiveExperimentChanged -= new EventHandler(Content_HiveExperimentChanged);
+      Content.JobChanged -= new EventHandler(Content_HiveExperimentChanged);
       Content.IsControllableChanged -= new EventHandler(Content_IsControllableChanged);
       Content.JobStatisticsChanged -= new EventHandler(Content_JobStatisticsChanged);
@@ -85,20 +85,20 @@
 
     private void RegisterHiveExperimentEvents() {
-      Content.HiveExperiment.PropertyChanged += new PropertyChangedEventHandler(HiveExperiment_PropertyChanged);
+      Content.Job.PropertyChanged += new PropertyChangedEventHandler(HiveExperiment_PropertyChanged);
     }
     
     private void DeregisterHiveExperimentEvents() {
-      Content.HiveExperiment.PropertyChanged -= new PropertyChangedEventHandler(HiveExperiment_PropertyChanged);
+      Content.Job.PropertyChanged -= new PropertyChangedEventHandler(HiveExperiment_PropertyChanged);
     }
 
     private void RegisterHiveJobEvents() {
-      Content.HiveJobs.ItemsAdded += new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset);
-      Content.HiveJobs.ItemsRemoved += new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset);
-      Content.HiveJobs.CollectionReset += new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset);
+      Content.HiveJobs.ItemsAdded += new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset);
+      Content.HiveJobs.ItemsRemoved += new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset);
+      Content.HiveJobs.CollectionReset += new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset);
     }
     private void DeregisterHiveJobEvents() {
-      Content.HiveJobs.ItemsAdded -= new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset);
-      Content.HiveJobs.ItemsRemoved -= new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset);
-      Content.HiveJobs.CollectionReset -= new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset);
+      Content.HiveJobs.ItemsAdded -= new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset);
+      Content.HiveJobs.ItemsRemoved -= new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset);
+      Content.HiveJobs.CollectionReset -= new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset);
     }
 
@@ -114,8 +114,8 @@
         logView.Content = null;
       } else {
-        nameTextBox.Text = Content.HiveExperiment.Name;
+        nameTextBox.Text = Content.Job.Name;
         executionTimeTextBox.Text = Content.ExecutionTime.ToString();
-        resourceNamesTextBox.Text = Content.HiveExperiment.ResourceNames;
-        isPrivilegedCheckBox.Checked = Content.HiveExperiment.IsPrivileged;
+        resourceNamesTextBox.Text = Content.Job.ResourceNames;
+        isPrivilegedCheckBox.Checked = Content.Job.IsPrivileged;
         refreshAutomaticallyCheckBox.Checked = Content.RefreshAutomatically;
         logView.Content = Content.Log;
@@ -140,5 +140,5 @@
       if (Content != null) {
         bool alreadyUploaded = Content.Id != Guid.Empty;
-        bool jobsLoaded = Content.HiveJobs != null && Content.HiveJobs.All(x => x.Job.Id != Guid.Empty);
+        bool jobsLoaded = Content.HiveJobs != null && Content.HiveJobs.All(x => x.Task.Id != Guid.Empty);
 
         this.nameTextBox.ReadOnly = !Content.IsControllable || Content.ExecutionState != ExecutionState.Prepared || alreadyUploaded;
@@ -164,7 +164,7 @@
 
     #region Content Events
-    private void HiveJobs_ItemsAdded_Removed_Reset(object sender, CollectionItemsChangedEventArgs<HiveJob> e) {
-      if (InvokeRequired)
-        Invoke(new CollectionItemsChangedEventHandler<HiveJob>(HiveJobs_ItemsAdded_Removed_Reset), sender, e);
+    private void HiveJobs_ItemsAdded_Removed_Reset(object sender, CollectionItemsChangedEventArgs<HiveTask> e) {
+      if (InvokeRequired)
+        Invoke(new CollectionItemsChangedEventHandler<HiveTask>(HiveJobs_ItemsAdded_Removed_Reset), sender, e);
       else {
         SetEnabledStateOfControls();
@@ -240,5 +240,5 @@
 
     private void Content_HiveExperimentChanged(object sender, EventArgs e) {
-      if (Content.HiveExperiment != null) {
+      if (Content.Job != null) {
         RegisterHiveExperimentEvents();
         Content_IsProgressingChanged(sender, e);
@@ -253,7 +253,7 @@
       else {
         if (Content != null) {
-          jobsTextBox.Text = Content.HiveExperiment.JobCount.ToString();
-          calculatingTextBox.Text = Content.HiveExperiment.CalculatingCount.ToString();
-          finishedTextBox.Text = Content.HiveExperiment.FinishedCount.ToString();
+          jobsTextBox.Text = Content.Job.JobCount.ToString();
+          calculatingTextBox.Text = Content.Job.CalculatingCount.ToString();
+          finishedTextBox.Text = Content.Job.FinishedCount.ToString();
         } else {
           jobsTextBox.Text = "0";
@@ -283,5 +283,5 @@
 
     private void UpdateStateLogList() {
-      if (Content != null && this.Content.HiveExperiment != null) {
+      if (Content != null && this.Content.Job != null) {
         stateLogViewHost.Content = this.Content.StateLogList;
       } else {
@@ -291,5 +291,5 @@
 
     private void HiveExperiment_PropertyChanged(object sender, PropertyChangedEventArgs e) {
-      if(this.Content != null && e.PropertyName == "Id") this.hiveExperimentPermissionListView.HiveExperimentId = this.Content.HiveExperiment.Id;
+      if(this.Content != null && e.PropertyName == "Id") this.hiveExperimentPermissionListView.HiveExperimentId = this.Content.Job.Id;
     }
     #endregion
@@ -308,11 +308,11 @@
 
     private void nameTextBox_Validated(object sender, EventArgs e) {
-      if (Content.HiveExperiment.Name != nameTextBox.Text)
-        Content.HiveExperiment.Name = nameTextBox.Text;
+      if (Content.Job.Name != nameTextBox.Text)
+        Content.Job.Name = nameTextBox.Text;
     }
 
     private void resourceNamesTextBox_Validated(object sender, EventArgs e) {
-      if (Content.HiveExperiment.ResourceNames != resourceNamesTextBox.Text)
-        Content.HiveExperiment.ResourceNames = resourceNamesTextBox.Text;
+      if (Content.Job.ResourceNames != resourceNamesTextBox.Text)
+        Content.Job.ResourceNames = resourceNamesTextBox.Text;
     }
 
@@ -322,9 +322,9 @@
 
     private void isPrivilegedCheckBox_Validated(object sender, EventArgs e) {
-      if (Content != null) Content.HiveExperiment.IsPrivileged = isPrivilegedCheckBox.Checked;
+      if (Content != null) Content.Job.IsPrivileged = isPrivilegedCheckBox.Checked;
     }
 
     private void refreshButton_Click(object sender, EventArgs e) {
-      var invoker = new Action<RefreshableHiveExperiment>(HiveClient.LoadExperiment);
+      var invoker = new Action<RefreshableJob>(HiveClient.LoadExperiment);
       invoker.BeginInvoke(Content, (ar) => {
         try {
@@ -338,5 +338,5 @@
 
     private void refreshPermissionsButton_Click(object sender, EventArgs e) {
-      hiveExperimentPermissionListView.Content = HiveClient.GetHiveExperimentPermissions(this.Content.HiveExperiment.Id);
+      hiveExperimentPermissionListView.Content = HiveClient.GetHiveExperimentPermissions(this.Content.Job.Id);
     }
 
@@ -406,5 +406,5 @@
         var optimizer = obj as IOptimizer;
         if (optimizer != null) {
-          Content.HiveJobs.Add(new OptimizerHiveJob(e.Effect.HasFlag(DragDropEffects.Copy) ? (IOptimizer)optimizer.Clone() : optimizer));
+          Content.HiveJobs.Add(new OptimizerHiveTask(e.Effect.HasFlag(DragDropEffects.Copy) ? (IOptimizer)optimizer.Clone() : optimizer));
         }
       }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/JobsView.cs	(revision 6725)
@@ -63,7 +63,7 @@
     void Content_SlaveStatusChanged(object sender, Common.EventArgs<StatusCommons> e) {
       lstJobs.Items.Clear();
-      foreach (JobStatus job in e.Value.Jobs) {
+      foreach (TaskStatus job in e.Value.Jobs) {
         ListViewItem item = new ListViewItem();
-        item.Text = job.JobId.ToString();
+        item.Text = job.TaskId.ToString();
         item.SubItems.Add(job.ExecutionTime.ToString());
         lstJobs.Items.Add(item);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveItem.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveItem.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveItem.cs	(revision 6725)
@@ -202,5 +202,5 @@
       if (diff > 0) {
         if (diff == 1) {
-          OnUserVisibleMessageFired("HeuristicLab Hive received 1 new job!");
+          OnUserVisibleMessageFired("HeuristicLab Hive received 1 new task!");
         } else {
           OnUserVisibleMessageFired(string.Format("HeuristicLab Hive received {0} new jobs!", diff));
